summaryrefslogtreecommitdiffstats
path: root/development/md2roff/md2roff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/md2roff/md2roff.SlackBuild')
-rw-r--r--development/md2roff/md2roff.SlackBuild104
1 files changed, 104 insertions, 0 deletions
diff --git a/development/md2roff/md2roff.SlackBuild b/development/md2roff/md2roff.SlackBuild
new file mode 100644
index 0000000000..c588bd325e
--- /dev/null
+++ b/development/md2roff/md2roff.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Slackware build script for md2roff
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20230911 bkw: update for v1.11.
+# - new homepage, thanks to Tonus for finding it.
+# - upstream finally did a tagged release, yay!
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=md2roff
+VERSION=${VERSION:-1.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+
+# 20230911 bkw: we get 2 different filenames depending on whether the
+# Content-disposition header is respected by whatever downloads the file.
+# Handle either, without scary-looking error messages. Unlike github,
+# codeberg doesn't have a "magic" URL that works either way.
+TARBALL=$CWD/$PRGNAM-$VERSION.tar.gz
+[ -e "$TARBALL" ] || TARBALL=$CWD/$VERSION.tar.gz
+tar xvf $TARBALL
+
+cd $PRGNAM
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+# Make the man page give the right directory for the PDF example:
+patch -p1 < $CWD/manpage.diff
+sed -i "s,@VERSION@,$VERSION," $PRGNAM.md
+
+# Slackware 15.0's groff is slightly broken (and -current's too, I'm
+# told), the -Tpdf option looks in the wrong dir for fonts (sent a bug
+# report about this to PV). There's another way to convert a man page
+# to a PDF that works fine, though:
+sed -i 's,-groff.*,roff2pdf -K utf8 md2roff.1 > md2roff.1.pdf,' Makefile
+
+# ...above I said "works fine", this is almost true: roff2pdf will
+# fail if DISPLAY isn't set in the environment... although it can be
+# set to literally anything (roff2pdf never tries to connect to X at
+# all, it just insists the variable has to be set). So:
+export DISPLAY=${DISPLAY:-no_such_display}
+
+make install \
+ CFLAGS="$SLKCFLAGS" \
+ prefix=/usr \
+ man1dir=/usr/man/man1 \
+ DESTDIR=$PKG
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE* *.md *.pdf examples $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+# 20230911 bkw: the man and PDF docs claim that the generated man page
+# for md2roff.1 will be found in the documentation dir, so we'd better
+# include it there...
+ln -s ../../man/man1/$PRGNAM.1.gz $PKGDOC/$PRGNAM.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE